Summary:	Linux /proc abstraction classes for Python 3
Summary(pl.UTF-8):	Klasy abstrakcji linuksowego /proc dla Pythona 3
Name:		python3-linux-procfs
Version:	0.7.3
Release:	1
License:	GPL v2
Group:		Libraries/Python
Source0:	https://www.kernel.org/pub/software/libs/python/python-linux-procfs/python-linux-procfs-%{version}.tar.xz
# Source0-md5:	e20d7df2bd3e142d696c9223e525a85b
URL:		https://rt.wiki.kernel.org/index.php/Tuna
# uses f-strings
BuildRequires:	python3-modules >= 1:3.6
BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python 3 abstractions to extract information from the Linux kernel
/proc files.

%description -l pl.UTF-8
Abstrakcje Pythona 3 do wydobywania informacji z plików /proc jądra
Linuksa.

%prep
%setup -q -n python-linux-procfs-%{version}

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pflags
%{py3_sitescriptdir}/procfs
%{py3_sitescriptdir}/python_linux_procfs-%{version}-py*.egg-info
%changelog
* Sun Nov 12 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-linux-procfs.git;a=log;h=master

* Sun Nov 12 2023 Jakub Bogusz <qboosh@pld-linux.org> 1e66c5b
- updated to 0.7.3

* Mon Jan 16 2023 Jakub Bogusz <qboosh@pld-linux.org> 6131a0d
- python-linux-procfs.spec updated to 0.7.1 for python 3.6+

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 192fd7a
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> de1e9b6
- Release 4 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 716a172
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> b51e752
- rebuild with python 3.10

* Sat Jan 15 2022 Jakub Bogusz <qboosh@pld-linux.org> 2e1790d
- updated to 0.7.0

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> c2b4f87
- release 2 (by relup.sh)

* Mon Feb 22 2021 Jakub Bogusz <qboosh@pld-linux.org> 959c4a9
- updated to 0.6.3

* Mon Oct 28 2019 Jakub Bogusz <qboosh@pld-linux.org> d07a9e8
- BR: python-setuptools

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 1ea9b2e
- rebuild with python 3.8
- release 2 (by relup.sh)

* Sun Mar 10 2019 Jakub Bogusz <qboosh@pld-linux.org> 95c86d9
- updated to 0.6.1

* Fri Oct 19 2018 Jan Rękorajski <baggins@pld-linux.org> 7e13eda
- remove py2 binary to fix build inconsistencies
- rel 3

* Fri Oct 19 2018 Jan Rękorajski <baggins@pld-linux.org> fb8a0c4
- release 2 (by relup.sh)

* Thu Oct 18 2018 Jakub Bogusz <qboosh@pld-linux.org> 1f45ad2
- single pflags utility is enough

* Thu Oct 18 2018 Adam Gołębiowski <adamg@pld-linux.org> a73ee58
- updated to 0.6 (needed by tuna.spec)

* Fri Aug 24 2018 Jakub Bogusz <qboosh@pld-linux.org> 583d259
- updated to 0.4.11

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 4b34570
- release 2 (by relup.sh)

* Tue Mar 28 2017 Jakub Bogusz <qboosh@pld-linux.org> 73546f6
- updated to 0.4.10

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 785c64a
- python 3.6
- release 3 (by relup.sh)

